package ro.ucv.biblioteca;

/**
 * Implement a Book concept.
 * 
 * <p>Title: Biblioteca </p>
 * <p>Description: Managementul Proiectelor Software</p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: Universitatea din Craiova</p>
 * 
 * @author Mihai Gabroveanu
 * @created 20 aprilie 2013
 * @version 21.0
 */

public class Book {
	/**
	 * The book title.
	 */
	private String title;
	/**
	 * The book author.
	 */
	private String author;
	/**
	 * The published year.
	 */
	private int year;

	/**
	 * Deafult Constructor for the Book object.
	 */
	public Book() {
	}

	/**
	 * Constructor for the Book object.
	 * 
	 * @param title The book title.
	 * @param author The book author.
	 * @param year The published year.
	 */
	public Book(String title, String author, int year) {
		this.title = title;
		this.author = author;
		this.year = year;
	}

	/**
	 * Get the book author.
	 * 
	 * @return The book author value.
	 */
	public String getAuthor() {
		return author;
	}

	/**
	 * Set the book author.
	 * 
	 * @param author The new author value.
	 */
	public void setAuthor(String author) {
		this.author = author;
	}

	/**
	 * Get the book title.
	 * 
	 * @return The book title value.
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * Set the book title.
	 * 
	 * @param title
	 *            The new title value.
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * Get the book published year.
	 * 
	 * @return The year value.
	 */
	public int getYear() {
		return year;
	}

	/**
	 * Set the book published year.
	 * 
	 * @param year The new year value.
	 */
	public void setYear(int year) {
		this.year = year;
	}

	/**
	 * Get string representation of current object.
	 * 
	 * @return The current object as String.
	 */
	public String toString() {
		return "Title:" + title + "\n" + "Author:" + author + "\n" + "Year:"
				+ year + "\n";
	}

}
